#include "jacobi.h"

#include "jacobi.sdag.C"

jacobi::jacobi(ArrayElementCreateMessage *msg) : ArrayElement(msg)
{
 __sdag_init();
 CkPrintf("[%d]: Element %d created\n", CkMyPe(), thisIndex);
 int i = 10;
 int j= 100;
 data = initializeCell(thisIndex, 10, 100); // each cell 10x100

 sendToNeighbors();

 finishConstruction();
};

jacobi::jacobi(ArrayElementMigrateMessage *m):
  ArrayElement(m)
{
 __sdag_init();
  finishMigration();
};

#include "jacobi.def.h"

